public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-strategy/warzone2100/
Date: Thu, 14 Jan 2021 14:13:53 +0000 (UTC)	[thread overview]
Message-ID: <1610633629.d5b17b3563fd6e4750372c25f8d2fefb5b5eabab.sam@gentoo> (raw)

commit:     d5b17b3563fd6e4750372c25f8d2fefb5b5eabab
Author:     Kenton Groombridge <me <AT> concord <DOT> sh>
AuthorDate: Sat Jan  2 17:12:38 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jan 14 14:13:49 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d5b17b35

games-strategy/warzone2100: version bump to 3.4.1

Version 3.4.0 also introduces a new cmake build system, which required
reworking of the ebuild.

Bug: https://bugs.gentoo.org/741984

Signed-off-by: Kenton Groombridge <me <AT> concord.sh>
Closes: https://github.com/gentoo/gentoo/pull/18912
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-strategy/warzone2100/Manifest                |   1 +
 games-strategy/warzone2100/metadata.xml            |   4 +
 .../warzone2100/warzone2100-3.4.1.ebuild           | 124 +++++++++++++++++++++
 3 files changed, 129 insertions(+)

diff --git a/games-strategy/warzone2100/Manifest b/games-strategy/warzone2100/Manifest
index a237586ef41..3b16c377296 100644
--- a/games-strategy/warzone2100/Manifest
+++ b/games-strategy/warzone2100/Manifest
@@ -1,4 +1,5 @@
 DIST warzone2100-3.2.3-qt_compile_fix.patch 680 BLAKE2B 1073ea1619640455326c63dc55bf031579c8e9cb0b1b159e4fb1f9e8aa63bfcc6985e91cb2667149e7cc4b354bf96726fc6b8f8a8f519375e0a88c4be21dcb69 SHA512 766698c25c02b4254424efdafb8aa7b37360c3c05d3cd2d6c7f9127cbdd6a25840f98e8e3aadd5d6af494b4632584e564214c1f20c0bd74eb637da305552e067
 DIST warzone2100-3.2.3.tar.xz 81314060 BLAKE2B 231be8c24d1c0967adb0a76ac9e441c2ea9f835720df9951f74227988473d100b24bccbfe4b5882a36c63a798368ed1a1f871751b6b363d90a82fea48c44ba65 SHA512 4b1bc0a0bb50a8b4726a2762a922ee233b92f9835e38bbab80c159a9cb301df7434a73ba5acfb17404031467c02a9b3480d6a0d44906d70896311b3468141746
 DIST warzone2100-3.3.0_src.tar.xz 86605304 BLAKE2B 70bad66966e31009de7f16a039525b2bc3e84a9991e7d95227f8789ceca7313a219044f41c0ceec0ce357e8368a30833d7dc1cc35e9575d9b56efa20b9e35c03 SHA512 876e36578472d9de4c00651af9b26a79bbbc85161d03c58e381aac90be710999b9091524425332e950ed42b79d872ace6848798829e7d3d7bb6ae7dae0003559
+DIST warzone2100-3.4.1.tar.xz 89169752 BLAKE2B a0f379e357c315e083f8ac1542297262abb48aae1f8a3e0666898e047749a8a108924b0dea000df1731fc94ccdce9e2768bbebd3333063a730931f7fbf9192a2 SHA512 26c026400e418ed3da94d96e7bb443c765ede3e0b347785ff8a9e687a5ad87afe03012c830fd509b927634484687efac951b2ef3417e7fe027ce0e684561ca84
 DIST warzone2100-videos-2.2.wz 571937134 BLAKE2B 60b70a71bd920e2d72ded5d519b17db2f3db4b0289edadeb58059a21aba7038b95219dc44cb807754461d1a9bdca60f0d7698be68622b8bd64a55efa949622d3 SHA512 ca1a1af51296afdaca137114821508c5783f077090e665eae0f6df895855f57c43f84434706309e819417f5f35d1c649bd14e96dc9fbbb1252d30a4f9a223cf6

diff --git a/games-strategy/warzone2100/metadata.xml b/games-strategy/warzone2100/metadata.xml
index ce7f3bcd92b..5d417c533f4 100644
--- a/games-strategy/warzone2100/metadata.xml
+++ b/games-strategy/warzone2100/metadata.xml
@@ -15,4 +15,8 @@
 		<remote-id type="sourceforge">warzone2100</remote-id>
 		<remote-id type="github">Warzone2100/warzone2100</remote-id>
 	</upstream>
+	<use>
+		<flag name="discord">Enable Discord presence/join integration</flag>
+		<flag name="vulkan">Enable vulkan backend</flag>
+	</use>
 </pkgmetadata>

diff --git a/games-strategy/warzone2100/warzone2100-3.4.1.ebuild b/games-strategy/warzone2100/warzone2100-3.4.1.ebuild
new file mode 100644
index 00000000000..0b755f3f625
--- /dev/null
+++ b/games-strategy/warzone2100/warzone2100-3.4.1.ebuild
@@ -0,0 +1,124 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake desktop xdg
+
+MY_PV=$(ver_cut 1-2)
+VIDEOS_PV=2.2
+VIDEOS_P=${PN}-videos-${VIDEOS_PV}.wz
+DESCRIPTION="3D real-time strategy game"
+HOMEPAGE="http://wz2100.net/"
+SRC_URI="mirror://sourceforge/warzone2100/releases/${PV}/${PN}_src.tar.xz -> ${P}.tar.xz
+	videos? ( mirror://sourceforge/warzone2100/warzone2100/Videos/${VIDEOS_PV}/high-quality-en/sequences.wz -> ${VIDEOS_P} )"
+
+LICENSE="GPL-2+ CC-BY-SA-3.0 public-domain"
+SLOT="0"
+#[[ "${PV}" == *_beta* ]] || \
+KEYWORDS="~amd64 ~x86"
+# upstream requested debug support
+IUSE="debug discord nls videos vulkan"
+
+# TODO: unbundle miniupnpc and quesoglc
+# quesoglc-0.7.2 is buggy: http://developer.wz2100.net/ticket/2828
+CDEPEND="
+	>=dev-games/physfs-2[zip]
+	>=dev-libs/libsodium-1.0.14
+	dev-libs/openssl:0=
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtopengl:5
+	dev-qt/qtscript:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtx11extras:5
+	media-libs/freetype:2
+	media-libs/glew:=
+	media-libs/harfbuzz
+	media-libs/libogg
+	media-libs/libpng:0
+	media-libs/libsdl2[opengl,video,X]
+	media-libs/libtheora
+	media-libs/libvorbis
+	media-libs/openal
+	sys-libs/zlib
+	virtual/glu
+	virtual/opengl
+	x11-libs/libX11
+	x11-libs/libXrandr
+	nls? ( virtual/libintl )
+	vulkan? ( media-libs/libsdl2:=[vulkan] )
+"
+DEPEND="
+	${CDEPEND}
+	app-text/asciidoc
+	dev-libs/fribidi
+	media-libs/fontconfig
+"
+RDEPEND="
+	${CDEPEND}
+	media-fonts/dejavu
+"
+BDEPEND="
+	app-arch/zip
+	virtual/pkgconfig
+	nls? ( sys-devel/gettext )
+"
+
+S="${WORKDIR}/${PN}"
+
+src_unpack() {
+	unpack ${P}.tar.xz
+}
+
+src_prepare() {
+	default
+
+	sed -i -e 's/#top_builddir/top_builddir/' po/Makevars || die
+
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_SHARED_LIBS="OFF"
+		-DWZ_PORTABLE="OFF"
+		-DENABLE_NLS="$(usex nls)"
+		-DWZ_ENABLE_BACKEND_VULKAN="$(usex vulkan)"
+		-DENABLE_DISCORD="$(usex discord)"
+	)
+	cmake_src_configure
+}
+
+src_compile() {
+	cmake_src_compile
+
+	asciidoc -b html5 doc/quickstartguide.asciidoc || die
+}
+
+src_install() {
+	local HTML_DOCS=( doc/quickstartguide.html doc/docbook-xsl.css doc/ScriptingManual.htm )
+	local DOCS=( README.md doc/images doc/Scripting.md doc/js-globals.md )
+	default
+
+	insinto /usr/bin
+	dobin "${BUILD_DIR}"/src/${PN}
+
+	insinto /usr/share/${PN}
+	doins "${BUILD_DIR}"/data/base.wz
+	doins "${BUILD_DIR}"/data/mp.wz
+	if use videos ; then
+		newins "${DISTDIR}"/${VIDEOS_P} sequences.wz
+	fi
+	insinto /usr/share/${PN}/music
+	doins data/music/music.wpl
+	doins data/music/menu.ogg
+	doins data/music/track1.ogg
+	doins data/music/track2.ogg
+	doins data/music/track3.ogg
+
+	doman "${BUILD_DIR}"/doc/warzone2100.6
+
+	doicon -s 128 icons/warzone2100.png
+	domenu icons/warzone2100.desktop
+}


             reply	other threads:[~2021-01-14 14:13 UTC|newest]

Thread overview: 68+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-01-14 14:13 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-01  7:55 [gentoo-commits] repo/gentoo:master commit in: games-strategy/warzone2100/ Sam James
2024-03-01  7:55 Sam James
2023-11-30  3:07 Sam James
2023-11-09 14:26 Sam James
2023-11-09 10:24 Sam James
2023-05-23  2:52 Sam James
2023-04-25 21:25 Sam James
2023-04-18  4:29 Sam James
2023-03-27  2:15 Sam James
2023-03-22  5:43 Sam James
2023-01-28  9:29 Arthur Zamarin
2023-01-28  5:11 Sam James
2023-01-22  2:25 Sam James
2023-01-22  1:39 Sam James
2022-11-03  6:35 Sam James
2022-11-03  6:35 Sam James
2022-08-27  7:43 Sam James
2022-08-11  7:37 Ionen Wolkens
2022-03-02  3:04 Sam James
2021-12-27  0:35 Lars Wendler
2021-12-27  0:35 Lars Wendler
2021-11-24  1:43 Sam James
2021-10-27  7:22 Sam James
2021-09-12 20:20 Ionen Wolkens
2021-09-12 20:20 Ionen Wolkens
2021-08-17 21:29 Sam James
2021-08-17 16:45 Sam James
2021-08-17 16:43 Sam James
2021-08-17 16:42 Sam James
2021-08-15 12:45 Lars Wendler
2021-08-14  3:53 Sam James
2021-08-14  3:48 Sam James
2021-08-14  3:48 Sam James
2021-08-14  3:48 Sam James
2021-08-14  3:48 Sam James
2021-08-14  3:48 Sam James
2021-08-14  3:48 Sam James
2021-08-14  3:48 Sam James
2021-08-09 22:21 Sam James
2021-08-06 12:58 Sam James
2021-06-23  2:24 Ionen Wolkens
2021-04-20 13:45 Sam James
2021-04-04 12:38 Sam James
2021-01-14 14:15 Sam James
2021-01-14 14:13 Sam James
2020-06-27 20:51 Aaron Bauman
2019-08-06 21:32 Lars Wendler
2018-05-06 19:03 Matt Turner
2017-09-21 14:33 Michael Palimaka
2017-09-21 14:33 Michael Palimaka
2017-05-05 13:44 Lars Wendler
2017-04-26  9:44 Lars Wendler
2017-04-26  9:44 Lars Wendler
2016-12-12  8:41 Lars Wendler
2016-09-29 12:46 Lars Wendler
2016-09-26 10:41 Lars Wendler
2016-09-26  7:20 Lars Wendler
2016-09-26  7:20 Lars Wendler
2016-08-05  0:23 Austin English
2016-06-07 22:27 Michael Sterrett
2016-06-06 14:31 Agostino Sarubbo
2016-05-03  0:44 Michael Sterrett
2016-04-02 13:44 Agostino Sarubbo
2016-02-23 15:24 Michael Sterrett
2016-01-25 22:05 Michael Sterrett
2016-01-25 22:05 Michael Sterrett
2015-08-25  8:13 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1610633629.d5b17b3563fd6e4750372c25f8d2fefb5b5eabab.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox